Subject: [AAA-WG]: Graceful Service Termination for the Diameter CC Application

From: <[email-masked]>
Date: Fri, 8 Aug 2003 19:58:04 +0300

Thankyou very much Bernard.

I would like to give some background about this proposal.

In the issue 408 against the Diameter Credit Control Application, that was the Avi Lior's review of the document, there is at least one comment that we didn't address in the current IETF draft (draft-ietf-aaa-diameter-cc-00):

"Redirect

In many instances in the text the action to take when a user resources
are no longer available is to terminate the session. That is one
possible action, the other possible action is to restrict access (or
direct the user) to a portal where they can recharge their account
etc..."

We have been working on a solution to enable three different actions upon user's resources are no longer available. The solution consists of an enhancement to the current feature of gracefully disconnect the end user (i.e. the Final-Unit-Indication AVP is used for that purpose)in order to enable: TERMINATE, REDIRECT and RESTRICT_ACCESS.
I think this was also presented by John Loughney in the last IETF meeting in Vienna.

The solution is called Graceful Service Termination, we have collected the changes in the proposal that Bernard kindly made available to everybody to facilitate the review. If there is no objections we would introduce this solution in the version 01 of the draft.

Since in the solution the CC server may also use the server-initiated re-authorization and in the Diameter base it is stated that authorization applications MUST state whether server-initiated authorization is supported, we also added a section "Server-Initiated Credit Re-Authorization".

Of course comments and suggestions are more than welcome.

Regards
Marco

> -----Original Message-----
> From: ext Bernard Aboba [mailto:[email-masked]]
> Sent: 08 August, 2003 17:42
> To: [email-masked]
> Subject: [AAA-WG]: Re: Marco's document on graceful service 
> termination
> 
> 
> Since the AAA WG mailing list is not accepting file enclosures now (a
> protection against viruses I suppose), I've made Marco's proposal in
> graceful service termination of Diameter Credit Control available for
> download here:
> 
> http://www.drizzle.com/~aboba/AAA/diamcca-gst.rtf
> 
> 
> 
>